summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author crocket <crockabiscuit@gmail.com>2011-10-25 17:06:01 -0500
committer Niels Horn <niels.horn@slackbuilds.org>2011-11-04 22:02:24 -0200
commit941dd630e57e4f26ef64a3adbac97fa50b42c175 (patch)
treece26e694e2b334d3af2aa5d1e1425df64e8d7468 /misc
parentf332e2f8ac92849295bcaee6eefdb12457b98f8b (diff)
downloadslackbuilds-941dd630e57e4f26ef64a3adbac97fa50b42c175.tar.gz
slackbuilds-941dd630e57e4f26ef64a3adbac97fa50b42c175.tar.xz
misc/j7z: Added (JAVA GUI frontend for p7zip)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/j7z/README10
-rw-r--r--misc/j7z/doinst.sh10
-rw-r--r--misc/j7z/j7z.SlackBuild49
-rw-r--r--misc/j7z/j7z.info10
-rw-r--r--misc/j7z/slack-desc19
5 files changed, 98 insertions, 0 deletions
diff --git a/misc/j7z/README b/misc/j7z/README
new file mode 100644
index 0000000000..50ea32037d
--- /dev/null
+++ b/misc/j7z/README
@@ -0,0 +1,10 @@
+j7z (JAVA GUI frontend for p7zip)
+
+j7z is an alternative 7-zip GUI.
+Use it if you want to:
+.Update existing archives quickly
+.Backup multiple folders to a storage location
+.Create or extract protected archives
+.Lessen effort by using archiving profiles and lists
+
+This requires p7zip and apache-ant.
diff --git a/misc/j7z/doinst.sh b/misc/j7z/doinst.sh
new file mode 100644
index 0000000000..3bcc8b0e1f
--- /dev/null
+++ b/misc/j7z/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+ /usr/bin/update-desktop-database -q usr/share/kde4/services/ServiceMenus >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/misc/j7z/j7z.SlackBuild b/misc/j7z/j7z.SlackBuild
new file mode 100644
index 0000000000..d539ae1aa4
--- /dev/null
+++ b/misc/j7z/j7z.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for j7z
+
+# Written by crocket (crockabiscuit@gmail.com)
+
+PRGNAM=j7z
+SRCNAM=J7Z
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.bz2
+mv $SRCNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd Build;
+make;
+make install DESTDIR=$PKG; )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Externals/Linux License $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/j7z/j7z.info b/misc/j7z/j7z.info
new file mode 100644
index 0000000000..549082b801
--- /dev/null
+++ b/misc/j7z/j7z.info
@@ -0,0 +1,10 @@
+PRGNAM="j7z"
+VERSION="1.1.0"
+HOMEPAGE="http://code.google.com/p/k7z"
+DOWNLOAD="http://k7z.googlecode.com/files/J7Z-1.1.0-src.tar.bz2"
+MD5SUM="510022196d2e02a0e03a691443fd2db1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/misc/j7z/slack-desc b/misc/j7z/slack-desc
new file mode 100644
index 0000000000..91ca418777
--- /dev/null
+++ b/misc/j7z/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+j7z: j7z (JAVA GUI frontend for p7zip)
+j7z:
+j7z: j7z is an alternative 7-zip GUI.
+j7z: Use it if you want to:
+j7z: .Update existing archives quickly
+j7z: .Backup multiple folders to a storage location
+j7z: .Create or extract protected archives
+j7z: .Lessen effort by using archiving profiles and lists
+j7z:
+j7z: Website : http://code.google.com/p/k7z/
+j7z: